summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHugues Hiegel <hugues@hiegel.fr>2009-02-06 14:27:56 +0100
committerHugues Hiegel <hugues@hiegel.fr>2009-02-06 14:27:56 +0100
commitc0492db3dcb4d80f173da1504350ed9182652d88 (patch)
treeb20628a833c4e6fddac33e0c7993a4e7b92fef34
parentf0dd1e566d56e03b7fa4db6f0e33a6df844b0ae4 (diff)
[STLinux] Patches Import script errors
-rwxr-xr-xSTLinux/stlinux_import_patches.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/STLinux/stlinux_import_patches.sh b/STLinux/stlinux_import_patches.sh
index 7865e45..38afb14 100755
--- a/STLinux/stlinux_import_patches.sh
+++ b/STLinux/stlinux_import_patches.sh
@@ -7,7 +7,7 @@ usage: $0:t <STLINUX_PATCHES FOLDER> <TAG PREFIX> [Patch # start] [Patch # end]
EOF
}
-if [ -d .git ]
+if ! git-rev-parse --git-dir >/dev/null
then
echo "This is not a GIT repository !"
usage
@@ -37,7 +37,7 @@ function read_patch_file()
< $1
;;
"bz2")
- bunzip -c $1
+ bunzip2 -c $1
;;
"*")
echo >&2 "Error ! $1:e is not a recognized patch extension !"